Expedia

Expedia Hotel Reviews Scraper

Extract hotel, flight, and travel details using the Expedia Hotel Reviews Scraper API endpoint.

This endpoint allows you to scrape hotel reviews from Expedia.

Note

Use the Sync Scraper API Server (https://sync.scraper.mrscraper.com) host when calling this endpoint.

POST
/api/hotels/expedia/review/sync
AuthorizationBearer <token>

In: header

Request Body

application/json

url*string

Expedia hotel review URL

Response Body

application/json

curl -X POST "https://api.app.mrscraper.com/api/hotels/expedia/review/sync" \  -H "Content-Type: application/json" \  -d '{    "url": "https://www.expedia.com/Bangkok-Hotels-Admiral-Suites.h911663.Hotel-Information"  }'
{
  "success": true,
  "message": "Succesfully scraped",
  "data": {
    "url": "https://www.expedia.com/Bangkok-Hotels-Admiral-Suites.h911663.Hotel-Information",
    "total_reviews": 130,
    "reviews": [
      {
        "reviewer_name": "David",
        "review_title": "Very clean and in a convenient spot.",
        "stay_duration": "Stayed 3 nights in Oct 2025",
        "review_date": "Oct 26, 2025",
        "review_score": "10/10 Excellent",
        "reviewer_country": null,
        "room_type": null,
        "stay_date": "Stayed 3 nights in Oct 2025",
        "traveler_type": "Traveled with partner",
        "positive_comment": "Liked: cleanliness, staff & service, amenities, property conditions & facilities, eco-friendliness",
        "negative_comment": null
      },
      {
        "reviewer_name": "Samuel",
        "review_title": "Good for the price",
        "stay_duration": "Stayed 3 nights in Oct 2025",
        "review_date": null,
        "review_score": "10/10 Excellent",
        "reviewer_country": null,
        "room_type": null,
        "stay_date": "Stayed 3 nights in Oct 2025",
        "traveler_type": "Oct 25, 2025",
        "positive_comment": "Liked: cleanliness, staff & service, property conditions & facilities",
        "negative_comment": null
      },
      {
        "reviewer_name": "Dean",
        "review_title": "Excellent ",
        "stay_duration": "Stayed 3 nights in Oct 2025",
        "review_date": null,
        "review_score": "10/10 Excellent",
        "reviewer_country": null,
        "room_type": null,
        "stay_date": "Stayed 3 nights in Oct 2025",
        "traveler_type": "Oct 23, 2025",
        "positive_comment": "Liked: amenities",
        "negative_comment": null
      }
    ]
  }
}